# Get Staking Currencies

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1`**`/staking/currencies`**

Retrieve a list staking-enabled assets along with the staking terms for that asset including the minimum amount, staking period, bonding, and unbonding period.

### Response Body

<table><thead><tr><th width="352">Key</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>currency</code></strong></td><td>The digital asset that may be staked</td></tr><tr><td><strong><code>min_stake_amount</code></strong></td><td>The minimum amount of this asset that may be staked in a given request</td></tr><tr><td><strong><code>min_stake_period_minutes</code></strong></td><td>The default period, in minutes, that the asset will be staking</td></tr><tr><td><strong><code>stake_bonding_period_minutes</code></strong></td><td>The amount of time, in minutes, after a staking request has been processed until the stake will begin accruing rewards</td></tr><tr><td><strong><code>stake_unbonding_period_minutes</code></strong></td><td>The amount of time, in minutes, that a completed stake of this asset will remain unavailable and not accruing rewards</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "data": [
        {
            "currency": "avax",
            "min_stake_amount": "25",
            "min_stake_period_minutes": 20160,
            "stake_bonding_period_minutes": 0,
            "stake_unbonding_period_minutes": 0
        }
    ]
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' 
'https://api.sfox.com/v1/staking/currencies'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/staking/currencies',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/staking/currencies",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/rest-api/staking/get-staking-currencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
